=== modified file 'account_journal/__init__.py'
--- account_journal/__init__.py	2011-04-08 14:45:57 +0000
+++ account_journal/__init__.py	2011-08-25 15:57:30 +0000
@@ -20,5 +20,7 @@
 ##############################################################################
 
 import account_journal
+import project # this is for account_analytic_journal
+import account_analytic_line
 
 # vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== modified file 'account_journal/__openerp__.py'
--- account_journal/__openerp__.py	2011-04-26 10:34:35 +0000
+++ account_journal/__openerp__.py	2011-08-25 15:57:30 +0000
@@ -21,13 +21,13 @@
 {
     "name" : "Accounting Journal for MSF",
     "version" : "1.0",
-    "author" : "MSF: Matthieu Dietrich",
+    "author" : "MSF: Matthieu Dietrich, TeMPO Consulting: Olivier DOSSMANN",
     "category": 'Generic Modules/Accounting',
     "description": '''
         Journals view and datas
     ''',
     'init_xml': [],
-    "depends" : ["account"],
+    "depends" : ["account", "analytic"],
     'update_xml': [
         'account_journal_view.xml',
     ],

=== added file 'account_journal/account_analytic_line.py'
--- account_journal/account_analytic_line.py	1970-01-01 00:00:00 +0000
+++ account_journal/account_analytic_line.py	2011-08-25 15:57:30 +0000
@@ -0,0 +1,39 @@
+#!/usr/bin/env python
+#-*- encoding:utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF. All Rights Reserved
+#    Developer: Olivier DOSSMANN
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from osv import osv
+from osv import fields
+
+class account_analytic_line(osv.osv):
+    _name = 'account.analytic.line'
+    _inherit = 'account.analytic.line'
+
+    _columns = {
+        # FIXME: add reversal_origin field (many2one)
+        # FIXME: add a link between this line and invoice_line_id (many2one)
+        # FIXME: add date_origin field
+    }
+
+account_analytic_line()
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added directory 'account_journal/project'
=== added file 'account_journal/project/__init__.py'
--- account_journal/project/__init__.py	1970-01-01 00:00:00 +0000
+++ account_journal/project/__init__.py	2011-08-25 15:57:30 +0000
@@ -0,0 +1,24 @@
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF. All Rights Reserved
+#    Developer: Olivier DOSSMANN
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import project
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'account_journal/project/project.py'
--- account_journal/project/project.py	1970-01-01 00:00:00 +0000
+++ account_journal/project/project.py	2011-08-25 15:57:30 +0000
@@ -0,0 +1,39 @@
+#!/usr/bin/env python
+#-*- encoding:utf-8 -*-
+
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF. All Rights Reserved
+#    Developer: Olivier DOSSMANN
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from osv import osv
+from osv import fields
+
+class account_analytic_journal(osv.osv):
+    _name = 'account.analytic.journal'
+    _description = 'Analytic Journal'
+    _inherit = 'account.analytic.journal'
+    _columns = {
+        'type': fields.selection([('sale','Sale'), ('purchase','Purchase'), ('cash','Cash'), ('general','General'), ('situation','Situation'), 
+            ('engagement', 'Engagement')], 'Type', size=32, required=True, help="Gives the type of the analytic journal. When it needs for a document \
+(eg: an invoice) to create analytic entries, OpenERP will look for a matching journal of the same type."),
+    }
+
+account_analytic_journal()
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== modified file 'msf_chart_of_account/journal_data.xml'
--- msf_chart_of_account/journal_data.xml	2011-05-27 14:15:06 +0000
+++ msf_chart_of_account/journal_data.xml	2011-08-25 15:57:30 +0000
@@ -79,5 +79,10 @@
             <field name="default_debit_account_id" ref="msf_chart_of_account.5361" />
             <field name="default_credit_account_id" ref="msf_chart_of_account.5361" />
         </record>
+        <record id="engagement_journal" model="account.analytic.journal">
+            <field name="name">Engagement Journal</field>
+            <field name="code">ENG</field>
+            <field name="type">engagement</field>
+        </record>
     </data>
 </openerp>

